Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 120374 - repoman - DEPEND validation "use? || (...)" should be detected as invalid
Summary: repoman - DEPEND validation "use? || (...)" should be detected as invalid
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Repoman (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 335925
  Show dependency tree
 
Reported: 2006-01-25 22:01 UTC by Robin Johnson
Modified: 2010-09-13 17:18 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2006-01-25 22:01:22 UTC
Bugging this for antarus.

I ran into this while doing modular-x fixes. It should probably be fixed in either emerge OR repoman.

"useflag? || ( pkga pkgb )"
doesn't work. See xemacs-21.4.17.ebuild r1.1 for an example - it brings in virtual/x where it shouldn't.

however the correct form of "useflag? ( || ( pkga pkgb ) )" does work fine.

Either repoman needs to detect the bad case, or emerge needs to behave correctly when it sees it.
Comment 1 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-02-07 21:10:54 UTC
Just to post an update, the check for this is basically written, however it uses a new parser to check DEPEND syntax, and I need a bit of time to integrate it into repoman.
Comment 2 Zac Medico gentoo-dev 2010-09-13 17:18:50 UTC
This is fixed in 2.1.9 and there's a test case here:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=ee36efb132157192655753c53dbd1c78c74d4a58